org.eclipse.aether.transfer

## Class ArtifactNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.transfer.ArtifactTransferException
        - - org.eclipse.aether.transfer.ArtifactNotFoundException

- All Implemented Interfaces:
    Serializable

      public class ArtifactNotFoundException
      extends ArtifactTransferException

  Thrown when an artifact was not found in a particular repository.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactNotFoundException(Artifact artifact, RemoteRepository repository)`
    `ArtifactNotFoundException(Artifact artifact, RemoteRepository repository, String message)`
    `ArtifactNotFoundException(Artifact artifact, RemoteRepository repository, String message, boolean fromCache)`
    `ArtifactNotFoundException(Artifact artifact, RemoteRepository repository, String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.aether.transfer.ArtifactTransferException

      `getArtifact, getRepository, isFromCache`

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactNotFoundException

          public ArtifactNotFoundException(Artifact artifact,
                                   RemoteRepository repository)

    - #### ArtifactNotFoundException

          public ArtifactNotFoundException(Artifact artifact,
                                   RemoteRepository repository,
                                   String message)

    - #### ArtifactNotFoundException

          public ArtifactNotFoundException(Artifact artifact,
                                   RemoteRepository repository,
                                   String message,
                                   boolean fromCache)

    - #### ArtifactNotFoundException

          public ArtifactNotFoundException(Artifact artifact,
                                   RemoteRepository repository,
                                   String message,
                                   Throwable cause)

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.